Module javafx.graphics
Package javafx.scene.effect

# Class Bloom

java.lang.Object
javafx.scene.effect.Effect
javafx.scene.effect.Bloom

    public class Bloom
    extends Effect

A high-level effect that makes brighter portions of the input image appear to glow, based on a configurable threshold.

Example:

     Bloom bloom = new Bloom();
     bloom.setThreshold(0.1);

     Rectangle rect = new Rectangle();
     rect.setX(10);
     rect.setY(10);
     rect.setWidth(160);
     rect.setHeight(80);
     rect.setFill(Color.DARKSLATEBLUE);

     Text text = new Text();
     text.setText("Bloom!");
     text.setFill(Color.ALICEBLUE);
     text.setFont(Font.font(null, FontWeight.BOLD, 40));
     text.setX(25);
     text.setY(65);
     text.setEffect(bloom);

The code above produces the following:

Since:
  JavaFX 2.0

- ## Property Summary

  Properties
  Type | Property | Description
  --- | --- | ---
  `ObjectProperty<Effect>` | `input` | The input for this `Effect`.
  `DoubleProperty` | `threshold` | The threshold value controls the minimum luminosity value of the pixels that will be made to glow.

- ## Constructor Summary

  Constructors
  Constructor | Description
  --- | ---
  `Bloom()` | Creates a new instance of Bloom with default parameters.
  `Bloom​(double threshold)` | Creates a new instance of Bloom with the specified threshold.

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `Effect` | `getInput()` | Gets the value of the property input.
  `double` | `getThreshold()` | Gets the value of the property threshold.
  `ObjectProperty<Effect>` | `inputProperty()` | The input for this `Effect`.
  `void` | `setInput​(Effect value)` | Sets the value of the property input.
  `void` | `setThreshold​(double value)` | Sets the value of the property threshold.
  `DoubleProperty` | `thresholdProperty()` | The threshold value controls the minimum luminosity value of the pixels that will be made to glow.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Property Details

  - ### input

    public final ObjectProperty<Effect> inputProperty
    The input for this `Effect`. If set to `null`, or left unspecified, a graphical image of the `Node` to which the `Effect` is attached will be used as the input.
    Default value:
      null
    See Also:
      `getInput()`, `setInput(Effect)`

  - ### threshold

    public final DoubleProperty thresholdProperty
    The threshold value controls the minimum luminosity value of the pixels that will be made to glow.

               Min: 0.0
               Max: 1.0
           Default: 0.3
          Identity: n/a

    Default value:
      0.3
    See Also:
      `getThreshold()`, `setThreshold(double)`

- ## Constructor Details

  - ### Bloom

    public Bloom()
    Creates a new instance of Bloom with default parameters.

  - ### Bloom

    public Bloom​(double threshold)
    Creates a new instance of Bloom with the specified threshold.
    Parameters:
      `threshold` - the threshold value for the bloom effect
    Since:
      JavaFX 2.1

- ## Method Details

  - ### setInput

    public final void setInput​(Effect value)
    Sets the value of the property input.
    Property description:
      The input for this `Effect`. If set to `null`, or left unspecified, a graphical image of the `Node` to which the `Effect` is attached will be used as the input.
    Default value:
      null

  - ### getInput

    public final Effect getInput()
    Gets the value of the property input.
    Property description:
      The input for this `Effect`. If set to `null`, or left unspecified, a graphical image of the `Node` to which the `Effect` is attached will be used as the input.
    Default value:
      null

  - ### inputProperty

    public final ObjectProperty<Effect> inputProperty()
    The input for this `Effect`. If set to `null`, or left unspecified, a graphical image of the `Node` to which the `Effect` is attached will be used as the input.
    Default value:
      null
    See Also:
      `getInput()`, `setInput(Effect)`

  - ### setThreshold

    public final void setThreshold​(double value)
    Sets the value of the property threshold.
    Property description:
      The threshold value controls the minimum luminosity value of the pixels that will be made to glow.

                 Min: 0.0
                 Max: 1.0
             Default: 0.3
            Identity: n/a

    Default value:
      0.3

  - ### getThreshold

    public final double getThreshold()
    Gets the value of the property threshold.
    Property description:
      The threshold value controls the minimum luminosity value of the pixels that will be made to glow.

                 Min: 0.0
                 Max: 1.0
             Default: 0.3
            Identity: n/a

    Default value:
      0.3

  - ### thresholdProperty

    public final DoubleProperty thresholdProperty()
    The threshold value controls the minimum luminosity value of the pixels that will be made to glow.

               Min: 0.0
               Max: 1.0
           Default: 0.3
          Identity: n/a

    Default value:
      0.3
    See Also:
      `getThreshold()`, `setThreshold(double)`